<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!-- Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<!--Logic-->
<div class="page-section-heading text-center text-uppercase text-secondary mb-0">
</div>
<form action="#" th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${user}" enctype="multipart/form-data"
      method="post">
    <div>
        <div class="container">
            <div class="row">
                <div class="col-lg-10 col-xl-9 mx-auto">
                    <div class="card flex-row my-5 border-0 shadow rounded-3 overflow-hidden">
                        <div class="card-body p-4 p-sm-5">
                            <h5 class="card-title text-center mb-5 fw-light fs-5">Update</h5>

                            <img th:src="@{${'/img/' + photo.fileName}}" width="120" height="120" class="rounded-circle"
                                 alt="User Photo"/>

                            <label class="form-label" for="fileImage">Default file input
                                example</label>
                            <input type="file" name="fileImage" id="fileImage" th:field="*{multipartFile}"
                                   class="form-control"/>
                            <br/>

                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{firstName}"
                                       id="floatingInputFirstName" placeholder="First Name"
                                       required autofocus/>
                                <label for="floatingInputUsername">First Name</label>
                            </div>

                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{last_name}"
                                       id="floatingInputLastName" placeholder="Last Name"
                                       required autofocus/>
                                <label for="floatingInputUsername">Last Name</label>
                            </div>

                            <div class="form-floating mb-3">
                                <input type="text" class="form-control"
                                       th:field="*{username}"
                                       id="floatingInputUsername" placeholder="myusername"
                                       required autofocus>
                                <label for="floatingInputUsername">Username</label>
                            </div>

                            <div class="form-floating mb-3">
                                <input type="email" class="form-control"
                                       th:field="*{email}"
                                       id="floatingInputEmail" placeholder="name@example.com">
                                <label for="floatingInputEmail">Email address</label>
                            </div>

                            <div class="form-check mb-3">
                                <a class="form-check-label"
                                   for="rememberPasswordCheck"
                                   th:text="'Change Password '"
                                   th:href="@{/users/{id}/changePassword(id=${userId})}">Change Password</a>
                            </div>

                            <div class="d-grid mb-2">
                                <button class="btn btn-lg btn-secondary btn-login fw-bold text-uppercase" type="submit">
                                    Update
                                </button>
                            </div>

                            <hr class="my-4">

                            <div class="form-check mb-3">
                                <a class="form-check-label"
                                   for="rememberPasswordCheck"
                                   th:text="'Return'"
                                   th:href="@{/users/{id}(id=${userId})}">Return</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<script src="../js/scripts.js" th:src="@{/scripts.js}"></script>
</body>
</html>